MQInstallableService (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.messaging.mq.MQInstallableService interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.messaging.mq
Interface MQInstallableService

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, MQBase, java.io.Serializable

    public interface MQInstallableService

extends LogicalElement, MQBase

There are significant implications to changing installable services and their components. For this reason, the installable services are read-only in the WebSphere MQ Explorer. To change installable services in on Windows systems, use regedit or on UNIX systems use the Service stanza in the qm.ini file. For each component within a service, you must also specify the name and path of the module containing the code for that component. On UNIX systems, use the ServiceComponent stanza for this.

Naming Rules:
  0="queueManager,name"
Persistable:
  true
Table Name:
  MQINSTSER

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`int` | `getEntryPoints()` The number of entry points defined for the service.
`java.lang.String` | `getName()` The name of the required service.
`MQQueueManager` | `getQueueManager()`
`java.lang.String` | `getSecurityPolicy()` dows only) The SecurityPolicy attribute applies only if the service specified is the default authorization service, that is, the OAM.
`MQServiceComponent[]` | `getServiceComponents()`
`boolean` | `hasEntryPoints()`
`boolean` | `hasName()`
`boolean` | `hasQueueManager()`
`boolean` | `hasSecurityPolicy()`
`boolean` | `hasServiceComponents()`
`void` | `setEntryPoints(int x)`
`void` | `setName(java.lang.String x)`
`void` | `setQueueManager(MQQueueManager x)`
`void` | `setSecurityPolicy(java.lang.String x)`
`void` | `setServiceComponents(MQServiceComponent[] x)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.app.messaging.mq.MQBase
`getDefault, getIsValid, getSystem, hasDefault, hasIsValid, hasSystem, setDefault, setIsValid, setSystem`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getSecurityPolicy

    java.lang.String getSecurityPolicy()
                                       throws AttributeNotSetException

  dows only) The SecurityPolicy attribute applies only if the service specified is the default authorization service, that is, the OAM. The SecurityPolicy attribute allows you to specify the security policy for each queue manager. The possible values are: Default Use the default security policy to take effect. If a Windows security identifier (NT SID) is not passed to the OAM for a particular user ID, an attempt is made to obtain the appropriate SID by searching the relevant security databases. NTSIDsRequired Pass an NT SID to the OAM when performing security checks.

  Throws:
    `AttributeNotSetException`

### setSecurityPolicy

    void setSecurityPolicy(java.lang.String x)

### hasSecurityPolicy

    boolean hasSecurityPolicy()

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  The name of the required service. AuthorizationService | NameService. AuthorizationService For WebSphere MQ, the Authorization Service component is known as the Object Authority Manager, or OAM. The AuthorizationService stanza and its associated ServiceComponent stanza are added automatically when the queue manager is created. Add other ServiceComponent stanzas manually. NameService No name service is provided by default. If you require a name service, you must add the NameService stanza manually. NameService No name service is provided by default. If you require a name service, you must add the NameService stanza manually.

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String x)

### hasName

    boolean hasName()

### getQueueManager

    MQQueueManager getQueueManager()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### setQueueManager

    void setQueueManager(MQQueueManager x)

### hasQueueManager

    boolean hasQueueManager()

### getServiceComponents

    MQServiceComponent[] getServiceComponents()
                                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Federates" reverse="false"

### setServiceComponents

    void setServiceComponents(MQServiceComponent[] x)

### hasServiceComponents

    boolean hasServiceComponents()

### getEntryPoints

    int getEntryPoints()
                       throws AttributeNotSetException

  The number of entry points defined for the service. This includes the initialization and termination entry points.

  Throws:
    `AttributeNotSetException`

### setEntryPoints

    void setEntryPoints(int x)

### hasEntryPoints

    boolean hasEntryPoints()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD